cpw.mods.fml.common.network

## Interface IConnectionHandler

- All Known Subinterfaces:
    NetworkMod.NULL
  All Known Implementing Classes:
    ForgeConnectionHandler, ModLoaderConnectionHandler

      public interface IConnectionHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clientLoggedIn(NetHandler clientHandler, INetworkManager manager, Packet1Login login)` Fired when the client established the connection to the server CLIENT SIDE
    `void` | `connectionClosed(INetworkManager manager)` Fired when a connection closes ALL SIDES
    `void` | `connectionOpened(NetHandler netClientHandler, MinecraftServer server, INetworkManager manager)` Fired when a local connection is opened CLIENT SIDE
    `void` | `connectionOpened(NetHandler netClientHandler, String server, int port, INetworkManager manager)` Fired when a remote connection is opened CLIENT SIDE
    `String` | `connectionReceived(NetLoginHandler netHandler, INetworkManager manager)` If you don't want the connection to continue, return a non-empty string here If you do, you can do other stuff here- note no FML negotiation has occured yet though the client is verified as having FML installed SERVER SIDE
    `void` | `playerLoggedIn(Player player, NetHandler netHandler, INetworkManager manager)` Called when a player logs into the server SERVER SIDE

- - ### Method Detail

    - #### playerLoggedIn

          void playerLoggedIn(Player player,
                            NetHandler netHandler,
                            INetworkManager manager)

      Called when a player logs into the server SERVER SIDE
      Parameters:
        `player` -
        `netHandler` -
        `manager` -

    - #### connectionReceived

          String connectionReceived(NetLoginHandler netHandler,
                                  INetworkManager manager)

      If you don't want the connection to continue, return a non-empty string here If you do, you can do other stuff here- note no FML negotiation has occured yet though the client is verified as having FML installed SERVER SIDE
      Parameters:
        `netHandler` -
        `manager` -

    - #### connectionOpened

          void connectionOpened(NetHandler netClientHandler,
                              String server,
                              int port,
                              INetworkManager manager)

      Fired when a remote connection is opened CLIENT SIDE
      Parameters:
        `netClientHandler` -
        `server` -
        `port` -

    - #### connectionOpened

          void connectionOpened(NetHandler netClientHandler,
                              MinecraftServer server,
                              INetworkManager manager)

      Fired when a local connection is opened CLIENT SIDE
      Parameters:
        `netClientHandler` -
        `server` -

    - #### connectionClosed

          void connectionClosed(INetworkManager manager)

      Fired when a connection closes ALL SIDES
      Parameters:
        `manager` -

    - #### clientLoggedIn

          void clientLoggedIn(NetHandler clientHandler,
                            INetworkManager manager,
                            Packet1Login login)

      Fired when the client established the connection to the server CLIENT SIDE
      Parameters:
        `clientHandler` -
        `manager` -
        `login` -